Subject: Re: bug#22933: M-x guix-edit fails gracelessly when passed an nonexistent package name

From: Mathieu Lirzin <[email-masked]>
Date: Tue, 08 Mar 2016 15:37:56 +0100

[email-masked] (Ludovic Courtès) writes:

> Alex Kost <[email-masked]> skribis:
>
>> Ludovic Courtès (2016-03-08 00:03 +0300) wrote:
>>>
>>> I think we should stick to one identifier style, which is to always use
>>> full words (I’m often tempted to use abbreviations and I force myself
>>> not to, as silly as I am!)
>>
>> Good to know, I always thought that things like "pkg" or "drv" are OK in
>> a local scope.
>
> Well, ahem, ‘drv’ is an exception…
>
> Otherwise I think the rationale of the “Naming” section at
> <http://mumble.net/~campbell/scheme/style.txt> is a good one.

I totally agree with the suggestions made in this section.  However
these conventions don't talk about "bound variables" which is IMO a
different context than the global name space.

I used to think that full words everywhere were a good thing, by
opposition of the unhelpful variables 'i' and 'x'.  Nonetheless, with
the experience (short I admit) I tend to think that an abbreviation is
still helpful for bound variables because it helps distinguishing them
from free variables.  It is even more true when the meaning of this
abbrevation is made explicit by the doc-string.

-- 
Mathieu Lirzin